package eu.dnetlib.openaire.community;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import io.swagger.annotations.ApiModelProperty;

@JsonAutoDetect
public enum CommunityStatus {

	@Schema("restricted visibility")
	hidden,

	@Schema("visible only to RCD managers")
	manager,

	@Schema("visible to RCD managers and to the community users")
	all
}
