package eu.dnetlib.openaire.dsm.domain;

import javax.validation.constraints.NotBlank;

import com.fasterxml.jackson.annotation.JsonAutoDetect;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@JsonAutoDetect
@Schema(value = "Datasource model", description = "provides information about the datasource")
public class DatasourceSnippet {

	@NotBlank
	@Schema(position = 0)
	private String id;

	@NotBlank
	@Schema(position = 2)
	private String officialname;

	@NotBlank
	@Schema(position = 3)
	private String englishname;

	public String getId() {
		return id;
	}

	public void setId(final String id) {
		this.id = id;
	}

	public String getOfficialname() {
		return officialname;
	}

	public void setOfficialname(final String officialname) {
		this.officialname = officialname;
	}

	public String getEnglishname() {
		return englishname;
	}

	public void setEnglishname(final String englishname) {
		this.englishname = englishname;
	}
}
