package eu.dnetlib.openaire.dsm.domain;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@JsonAutoDetect
@Schema(
		value = "Api response model",
		description = "Api response model, provides a response header")
public class Response {

	@Schema(position = 0)
	private Header header;

	public Response() {
		this.header = new Header();
	}

	public Header getHeader() {
		return header;
	}

	public Response setHeader(final Header header) {
		this.header = header;
		return this;
	}

}
