package eu.dnetlib.openaire.community;

import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import io.swagger.annotations.ApiModelProperty;

@JsonAutoDetect
public class CommunityZenodoCommunity {

    @NotNull
    @Schema(value = "the community identifier this zenodo Community belongs to", required = true)
    private String communityId;

    @NotNull
    @Schema(value = "Zenodo identifier for this community", required = true)
    private String zenodoid;

    @NotNull
    @Schema(value = "identifies this zenodo community within the context it belongs to", required = true)
    private String id;

    public String getZenodoid() {
        return zenodoid;
    }

    public void setZenodoid(String zenodoid) {
        this.zenodoid = zenodoid;
    }

    public String getId() {
        return id;
    }

    public void setId(final String id) {
        this.id = id;
    }

    public String getCommunityId() {
        return communityId;
    }

    public void setCommunityId(String communityId) {
        this.communityId = communityId;
    }

}
