package eu.dnetlib.openaire.dsm.domain;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@Schema
@JsonAutoDetect
public class DatasourceSearchResponse extends Response {

    @Schema(position = 1)
    private List<DatasourceInfo> datasourceInfo;

    public DatasourceSearchResponse(List<DatasourceInfo> datasourceInfo) {
        super();
        this.datasourceInfo = datasourceInfo;
    }

    public List<DatasourceInfo> getDatasourceInfo() {
        return datasourceInfo;
    }

    public void setDatasourceInfo(List<DatasourceInfo> datasourceInfo) {
        this.datasourceInfo = datasourceInfo;
    }
}
